[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TAsyncCallQueueItem

Record used for a queued asynchronous callback request.

## Declaration

Source position: forms.pp line 1403

`type TAsyncCallQueueItem = record`
`Method: TDataEvent;` |  | Object procedure with the callback method.
`Data: PtrInt;` |  | Pointer to the callback method argument.
`NextItem: PAsyncCallQueueItem;` |  | Pointer to the next item in the callback queue.
`PrevItem: PAsyncCallQueueItem;` |  | Pointer to the previous item in the callback queue.
`end;`

## See also

TApplication.QueueAsyncCall |  | Inserts an asynchronous call into the queue.